/*
    msgsend.c
    Copyright 1999 by Richard Dawe

    ---

    msgsend sends messages to WinPopup/messaging clients.
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <dir.h>

#include <mailslot.h>

#define DOSSEND_DEST "\\mailslot\\messngr"

int main (int argc, char *argv[])
{
    char mailslot_name[MAXPATH];
    char buffer[MAILSLOT_SENDSIZE];
    char *user = NULL;
    char *dest = NULL;
    char *msg  = NULL;
    int ret;

    if (argc < 2) {
        fprintf(stderr, "Syntax: %s <Computer> <Message>\n", argv[0]);
        return(EXIT_FAILURE);
    }

    dest = argv[1];
    msg  = argv[2];
    user = getlogin();

    sprintf(mailslot_name, "\\\\%s%s", dest, DOSSEND_DEST);
    /*sprintf(buffer, "%s<<%s>>", user, msg);*/
    strcpy(buffer,                                       user);
    strcpy(buffer + strlen(user) + 1,                    dest);
    strcpy(buffer + strlen(user) + 1 + strlen(dest) + 1, msg);

    ret = __mailslot_write(mailslot_name, buffer,
                           strlen(user) + 1 + strlen(dest) + 1 + strlen(msg) + 1,
                           MAILSLOT_WAIT_FOREVER);

    if (ret != -1)
        printf("+ Sent %i bytes to %s as %s successfully\n", ret, dest, user);
    else
        printf("- Failed to send to %s as %s\n", dest, user);

    return(EXIT_SUCCESS);
}
