/*
    syslog.c
    Copyright 1999 by Richard Dawe

    Test program for syslog functions - logs the command-line parameters.
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <syslog.h>

int main (int argc, char *argv[])
{
    char *ident = NULL;
    char *msg   = NULL;

    if (argc < 3) {
        fprintf(stderr, "Syntax: %s <identifier> <message>\n", argv[0]);
        return(EXIT_FAILURE);
    }

    ident = argv[1];
    msg   = argv[2];

    openlog(ident, LOG_PERROR | LOG_PID, LOG_USER);
    syslog(LOG_NOTICE, "%s", msg);
    errno = EINVAL;
    syslog(LOG_ERR, "Fake error: %m (%s)", "uh-oh");
    closelog();

    return(EXIT_SUCCESS);
}
